% p[^̎nFϐg@
%  \ddot{x} + b \dot{x} 9x = 0 ̃p[^̒lϐŎ󂯓n

global b;
interval = [0,10];
qinit = [2.00;0.00];

for b = [0.00 1.00 4.00 8.00]
    [time,q] = ode45(@damped_vibration_global,interval,qinit);
    plot(time,q(:,1),'-');
    ylim([-2.5,2.5]);
    xlabel('time');
    ylabel('position');
    grid on;
    filename = strcat('damped-vibration-', num2str(b), '.eps');
    saveas(gcf, filename, 'eps');
    fprintf("b = %f\n", b);
    fprintf("ꎞ~F̃L[Ă\n");
    pause;
end
